> ## Documentation Index
> Fetch the complete documentation index at: https://docs.stratumn.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create a new trace

> Creates a new trace



## OpenAPI

````yaml api-reference/open-api-v1.json post /trace
openapi: 3.0.0
info:
  title: Stratumn API
  description: Interact with Stratumn using simple REST endpoints
  version: 1.0.0
  contact: {}
servers:
  - url: http://api.local.stratumn.com:3000
    description: Local development server
  - url: https://api.stratumn.com
    description: Stratumn Production Server
  - url: https://api.us.stratumn.com
    description: Stratumn US Production Server
  - url: https://api.preprod.stratumn.com
    description: Stratumn Preprod Server
  - url: https://api.preprod.us.stratumn.com
    description: Stratumn US Preprod Server
security: []
tags: []
paths:
  /trace:
    post:
      tags:
        - Trace
      summary: Create a new trace
      description: Creates a new trace
      operationId: TraceController_createTrace
      parameters: []
      requestBody:
        required: true
        content:
          multipart/form-data:
            schema:
              type: object
              properties:
                body:
                  type: object
                  properties:
                    data:
                      type: object
                      description: This is the form data of the link
                    actionKey:
                      type: string
                      description: The label of the action
                    workflowId:
                      type: string
                      description: The UUID of the workflow
                    groupLabel:
                      type: string
                      description: The label of the group performing the action
                file_example:
                  type: string
                  format: binary
                other_file_example:
                  type: string
                  format: binary
      responses:
        '200':
          description: The UUID of the created trace
          content:
            application/json:
              schema:
                type: string
      security:
        - bearer: []
components:
  securitySchemes:
    bearer:
      scheme: bearer
      bearerFormat: JWT
      type: http

````